# GET /license/requeststring

> Generate a license request string from a serial number to request a license string from the Text Control store, then register it with POST /license/register.

- **Product:** DS Server
- **Section:** Documentation
- **Kind:** Endpoint
- **Path:** DS Server > API Reference > Web API > Licensing > /requeststring > GET /license/requeststring
- **666 words**
- **Web URL:** https://docs.textcontrol.com/ds-server/reference/web-api/licensing/requeststring/get/
- **LLMs URL:** https://docs.textcontrol.com/ds-server/reference/web-api/licensing/requeststring/get/llms.txt
- **LLMs-Full URL:** https://docs.textcontrol.com/ds-server/reference/web-api/licensing/requeststring/get/llms-full.txt

---

`GET` `https://example.com/license/requeststring`

### Description

Generates a license request string that is used to request a license from the Text Control store. The **Generate License Request String** button on the **Manually** tab of the admin portal's [Licensing](https://docs.textcontrol.com/ds-server/administration/licensing/llms-full.txt) page calls it.

### Examples

The following sample generates a license request string that can be used to request a license from the Text Control store.

```bash
# Request:
curl --request GET 'https://trial.dsserver.io/license/requeststring?serial=yourserialnumber' \
    --header 'Authorization: Basic e3t1c2VyX25hbWV9fTp7e3Bhc3N3b3JkfX0='

# Response:
-----BEGIN TX TEXT CONTROL LICENSE REQUEST-----
129f8019f06653aa239871b7bff2af9b6605b9371ce1513152d8adc7199779ab
e5286636f336324b1d59bc5cf0031e33016b7da80f61aeb9ec19bff1b4aa643c
569e1ba163499f175107619c8135146fb67ab3535b168935195cd18c2dd6ca2d
5c0803c8bc62d93963dc9cce3362f9d7d1d54a36daa81e55d2cf6e3308c84e95
c356ac177d7283253efd75664bf6b2390c016e8177f46f6add23fdf874e3d2b9
44b48da79afa77c230afd6a32d65e7200863a77c6405a4d5027d8a25fa8dc98a
8b421f832210ead35e97f23a2b7428d2fa16cb318a05de613fe3406ecaedfa87
3200
-----END TX TEXT CONTROL LICENSE REQUEST-----
```

### Authorization

This endpoint supports the Basic authorization method:

#### Basic

| Header field | Description |
|---|---|
| Authorization | The username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: `Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l` |

### Request Parameters

| Name | Type | Value | Optional |
|---|---|---|---|
| serial | String | The given serial number of your DS Server installation. | no |

### Success Response

| Status | Description |
|---|---|
| 200 | On success, the HTTP status code in the response header is 200 (OK). The response body is the license request string as plain text (`text/plain`), from `-----BEGIN TX TEXT CONTROL LICENSE REQUEST-----` to `-----END TX TEXT CONTROL LICENSE REQUEST-----`. |

### Error Response

| Status | Description |
|---|---|
| 401 | A 401 (Unauthorized) with an empty body and the header `WWW-Authenticate: Basic realm=Access to the Admin page` is returned, if the admin credentials are missing or wrong. |
| 400 | A 400 (Bad Request) is returned, if the serial number is missing or has a bad format. The body is the plain text "Invalid serial string. A serial string consists of two upper case letters, followed by a dash and ten digits (e. g. XX-0000000000)." |

---

## Nearby

- **Previous:** [/license/requeststring](https://docs.textcontrol.com/ds-server/reference/web-api/licensing/requeststring/llms-full.txt)
- **Next:** [Authentication Server](https://docs.textcontrol.com/ds-server/reference/web-api/authenticationserver/llms-full.txt)
